// DSAddIn.h : header file
//

#if !defined(AFX_DSADDIN_H__1EECC994_347A_4C53_B532_6E98DC16B649__INCLUDED_)
#define AFX_DSADDIN_H__1EECC994_347A_4C53_B532_6E98DC16B649__INCLUDED_

#include "commands.h"

// {2F745647-089A-4D35-82C6-0E618547120C}
DEFINE_GUID(CLSID_DSAddIn,
0x2f745647, 0x89a, 0x4d35, 0x82, 0xc6, 0xe, 0x61, 0x85, 0x47, 0x12, 0xc);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "NetForm.DSAddIn.1",
		"NETFORM Developer Studio Add-in", IDS_NETFORM_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSADDIN_H__1EECC994_347A_4C53_B532_6E98DC16B649__INCLUDED)
