
//
//	Nev@Delap.com, October 2000
//

#ifndef DIALOGCONVERTER_H
#define DIALOGCONVERTER_H

#include "Tokenizer.h"

class DialogConverter
{
public:
	void ConvertOpenDialogToClassSourceInIDE(
					IApplication* pIApplication);

protected:
	void GetCurrentlyOpenDialogsDefinitionFromIDE(
					IApplication* pIApplication,
					CString& strDialogResourceName,
					CString& strDefinition);

	void GetResourceFileNameAndDialogResourceName(
					IApplication* pIApplication,
					CString& strResourceFile,
					CString& strDialogResourceName);

	CString GetCurrentWindowsTitle(
					IApplication* pIApplication);

	void OpenResourceFileAndGetDialogDefinition(
					IApplication* pIApplication,
					CString strResourceFile,
					CString strDialogResourceName,
					CString& strDefinition);

	void ConvertDefinitionToClassSource(
					CString strDialogResourceName,
					CString strDefinition,
					CString& strSource);

	void ConvertDialog(
					CString strDialogResourceName,
					CString strDefinition,
					CString& strFields,
					CString& strConstructor);

	void ConvertButton(
					Tokenizer& tokenizer,
					CString strTabIndex,
					bool bIsDefault,
					CString& strFields,
					CString& strConstructor);

	void ConvertLabel(
					Tokenizer& tokenizer,
					CString strTabIndex,
					CString& strFields,
					CString& strConstructor);

	void ConvertEditCtrl(
					Tokenizer& tokenizer,
					CString strTabIndex,
					CString& strFields,
					CString& strConstructor);

	void ConvertCheckBox(
					Tokenizer& tokenizer,
					CString strTabIndex,
					CString& strFields,
					CString& strConstructor);

	void ConvertRadioButton(
					Tokenizer& tokenizer,
					CString strTabIndex,
					CString& strFields,
					CString& strConstructor);

	void ConvertComboBox(
					Tokenizer& tokenizer,
					CString strTabIndex,
					CString& strFields,
					CString& strConstructor);

	void ConvertListBox(
					Tokenizer& tokenizer,
					CString strTabIndex,
					CString& strFields,
					CString& strConstructor);

	CString ConvertUpperCaseWithUnderscoresToUpperAndLowerCase(
					CString str);

	CString ConvertDialogResourceNameToFormName(
					CString strDialogResourceName);

	CString ConvertIDToVariableName(
					CString strControlID,
					CString strType,
					CString strAlternativePossibility);

	void DisplayClassInIDE(
					IApplication* pIApplication,
					CString strSource);
};

#endif //DIALOGCONVERTER_H